# Dapr Community

Welcome to the Dapr community. This is the starting point for becoming a contributor, improving the code and docs, giving presentations and all the goodness of helping out on the project. We are a friendly, collaborative group and look forward to working together.

- [Introduction](#introduction)
- [Dapr authors](#dapr-authors)
- [Community engagements](#community-meetings)
- [How can I get involved?](#how-can-i-get-involved?)
- [Questions and issues](#questions-and-issues)

Other Documents

- [Contributing to Dapr](https://docs.dapr.io/contributing/) - guidelines and advice on becoming a contributor
- [Steering and Technical Committee (STC)](steering-and-technical-committee-charter.md) - describes the steering and technical committee governing body for Dapr and its charter.
- [Community membership](community-membership.md) - describes the various responsibilities of contributor roles in the Dapr community
- [Developer Guide](https://github.com/dapr/dapr/tree/master/docs/development) - describes how to get involved with Dapr development

## Introduction
The Distributed Application Runtime, Dapr, is a portable, serverless, event-driven runtime that makes it easy for developers to build resilient, stateless and stateful microservices that run on the cloud and edge and embraces the diversity of languages and developer frameworks.

Dapr codifies the best practices for building microservice applications into open, independent, building blocks that enable you to build portable applications with the language and framework of your choice. Each building block is independent and you can use one, some, or all of them in your application.

Visit [dapr.io](https://dapr.io) for information about Dapr.

## Dapr authors
Dapr is an open source project with an active development community. The project was started at Microsoft.

## Communication
We want your contributions and suggestions! One of the easiest ways to contribute is to participate in discussions, chat on IM or join the bi-weekly community calls.

### Questions and issues
Reach out with any questions you may have and we'll make sure to answer them as soon as possible and as a community member feel free to jump in and answer questions.

| Platform  | Link        |
|:----------|:------------|
| 💬 Discord (preferred) | [![Discord widget](https://discord.com/api/guilds/778680217417809931/widget.png?style=banner2)](https://aka.ms/dapr-discord)<br />https://aka.ms/dapr-discord
| 🐤 Twitter | [@daprdev](https://twitter.com/daprdev)

### Community meetings
Every two weeks we host a community meeting to showcase new features, review upcoming milestones, and engage in a Q&A. All are welcome!

The next 3 upcoming community meetings are pinned as issues in this repository and can be used to enter in suggestions for the meeting. If you would like to talk about suggestions first use the Discord Community Call Chat channel to discuss. The meeting agenda is finalized by a community call host.

 Community members (members of the Dapr GitHub org) can nominate themselves via an issue on the dapr/community repository to be a community call host. Members become approved community call hosts when two or more existing community hosts approve their request, similar to how members and approvers get accepted today.

To accomodate different timezones, we schedule community calls at different times zone. See below for the time of each call (note you can always catch up offline by watching the recordings on the Dapr YouTube channel) 

| Asset | Link        |
|:-----------|:------------|
| 🔗 Meeting Link & Password | **Zoom Call:** https://us02web.zoom.us/j/85305980190<br>**Password:** eWRhSklVTjJjSnhTaURDcFZaU2ZzQT09
| 🎥 Meeting Recordings | http://aka.ms/dapr-recordings

**Upcoming meetings**:

- Tuesday January 25<sup>th</sup> 10:00am Pacific Time (PST) - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220125T10&p1=234)
- Tuesday February 8<sup>th</sup> 10:00am Pacific Time (PST) - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220208T10&p1=234) - This one is 10:00am since this is Chinese New Year!
- Tuesday February 22<sup>th</sup> 7:30pm Pacific Time (PST)  - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220222T1930&p1=234)
- Tuesday March 8<sup>th</sup> 10:00am Pacific Time (PST) - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220308T10&p1=234)
- Tuesday March 22<sup>th</sup> 7:30pm Pacific Time (PST)  - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220322T1930&p1=234)
- Tuesday April 5<sup>th</sup> 10:00am Pacific Time (PST) - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220405T10&p1=234)
- Tuesday April 19<sup>th</sup> 7:30pm Pacific Time (PST)  - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220419T1930&p1=234)
- Tuesday May 3<sup>rd</sup> 10:00am Pacific Time (PST) - [See it in your local time](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20220503T10&p1=234)

### Milestone sync meetings
Every week, we meet to plan and sync on the progress for the milestone's release. This meeting includes maintainers and active contributors and usually lasts for about 30 minutes. If you would like to **actively contribute** towards a milestone, ask a maintainer for the meeting's password.

**Zoom Call:** https://us02web.zoom.us/j/81902234964<br>
**Password:** Ask @maintainers in our Discord server<br>
**Schedule:** Tuesdays at 9am and 9pm Pacific Time.

### Dapr blog
The [Dapr blog](https://blog.dapr.io/posts) has regular posts on releases, technical articles and upcoming events. If you would like to author a post, reach out to us with a suggestion. 

## How can I get involved?

One of the easiest ways to contribute is to participate in discussions at community engagements.

If you're looking for something to work on, read the [contribution guidelines](https://docs.dapr.io/contributing/) and then you start by looking for GitHub issues, marked with "Good First Issue" or the "Help Wanted" labels:

- [Dapr runtime repo](https://github.com/dapr/dapr/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)
- [Dapr CLI repo](https://github.com/dapr/cli/labels/good%20first%20issue)
- [Documentation repo](https://github.com/dapr/docs/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22)
- [Quickstarts repo](https://github.com/dapr/quickstarts/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)

And, we can always use more testing, have more and improved docs, or just write a blog post on what you have discovered whilst using Dapr.

If you're a developer, read the [development guide](https://github.com/dapr/dapr/tree/master/docs/development) for help on how to get started.

## Code of Conduct
This project has adopted the [Contributor Covenant Code of Conduct](CODE-OF-CONDUCT.md)
